FIX::SocketMonitor::Strategy Class Referenceabstract

`#include <SocketMonitor.h>`

Inheritance diagram for FIX::SocketMonitor::Strategy:
[legend]

## Public Member Functions

virtual | ~Strategy ()
virtual void | onConnect (SocketMonitor &, int socket)=0
virtual void | onEvent (SocketMonitor &, int socket)=0
virtual void | onWrite (SocketMonitor &, int socket)=0
virtual void | onError (SocketMonitor &, int socket)=0
virtual void | onError (SocketMonitor &)=0
virtual void | onTimeout (SocketMonitor &)

## Detailed Description

Definition at line 95 of file SocketMonitor.h.

## Constructor & Destructor Documentation

## ~Strategy()

virtual FIX::SocketMonitor::Strategy::~Strategy | ( |  | ) |

inline virtual

Definition at line 98 of file SocketMonitor.h.

{}

## Member Function Documentation

## onConnect()

virtual void FIX::SocketMonitor::Strategy::onConnect | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Referenced by FIX::SocketMonitor::processWriteSet().

## onError() [1/2]

virtual void FIX::SocketMonitor::Strategy::onError | ( | SocketMonitor & |  | ) |

pure virtual

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

## onError() [2/2]

virtual void FIX::SocketMonitor::Strategy::onError | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Referenced by FIX::SocketMonitor::block(), and FIX::SocketMonitor::processExceptSet().

## onEvent()

virtual void FIX::SocketMonitor::Strategy::onEvent | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Referenced by FIX::SocketMonitor::processReadSet().

## onTimeout()

virtual void FIX::SocketMonitor::Strategy::onTimeout | ( | SocketMonitor & |  | ) |

inline virtual

Reimplemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Definition at line 105 of file SocketMonitor.h.

{}}

Referenced by FIX::SocketMonitor::block().

## onWrite()

virtual void FIX::SocketMonitor::Strategy::onWrite | ( | SocketMonitor & | ,
|  | int | socket
| ) |  |

pure virtual

Implemented in FIX::ConnectorWrapper, and FIX::ServerWrapper.

Referenced by FIX::SocketMonitor::processWriteSet().

The documentation for this class was generated from the following file:

- SocketMonitor.h